POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "79d67f00-01c9-4fa7-9db6-6338bd087a55",
"batch_id": "ea61e667-6a85-476a-9640-ee030e0efbcf",
"medistream_id": "7f794e3b-6916-4385-8c83-c0a1a25e7b03",
"witness_id": "0e94f644-0410-4250-91db-a9e0b4bbecf4",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-09-26T16:30:30.9307332+00:00",
"stop_time": "2026-09-26T16:30:30.9307332+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>ea61e667-6a85-476a-9640-ee030e0efbcf</batch_id> <compartment>1</compartment> <id>79d67f00-01c9-4fa7-9db6-6338bd087a55</id> <medistream_id>7f794e3b-6916-4385-8c83-c0a1a25e7b03</medistream_id> <start_time>2026-09-26T16:30:30.9307332+00:00</start_time> <stop_time>2026-09-26T16:30:30.9307332+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>0e94f644-0410-4250-91db-a9e0b4bbecf4</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ac220de1-1248-4d70-b2e0-595c73f09439"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ac220de1-1248-4d70-b2e0-595c73f09439</guid>